import type { ModalStaticFunctions } from 'antd/es/modal/confirm';
declare type RType = (url: string, data?: {} | undefined, config?: {} | undefined) => Promise<any>;
declare class Request {
    private request;
    constructor();
    setRequest(val: any): void;
    withCustomToast(config?: any): any;
    getRequest(): {
        get: (url: string, params: any, config?: any) => Promise<any>;
        post: (url: string, params: any, config?: any) => Promise<any>;
        put: RType;
        remove: RType;
        custom: RType;
    };
}
export declare const request: Request;
declare let modal: Omit<ModalStaticFunctions, 'warn'>;
export declare const setModal: (m: Omit<ModalStaticFunctions, 'warn'>) => void;
export declare const saveConfirm: () => Promise<{
    destroy: () => void;
    update: (configUpdate: import("antd").ModalFuncProps | ((prevConfig: import("antd").ModalFuncProps) => import("antd").ModalFuncProps)) => void;
}>;
export { modal };
